%define ver_progsreiserfs 0.3.1-rc8

Summary:	Tool to check and undelete partition
Name:		testdisk
Version:	7.0
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source1:	progsreiserfs-%{ver_progsreiserfs}.tar.bz2
# Upstream patch
Patch0:		progsreiserfs-journal.patch
# Another upstream patch
Patch1:		progsreiserfs-file-read.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libewf)
BuildRequires:	pkgconfig(uuid)

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * XBox FATX
    * Windows exFAT
    * HFS, HFS+ and HFSX, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux btrfs
    * Linux ext2, ext3 and ext4
    * Linux GFS2
    * Linux LUKS encrypted partition
    * Linux RAID md 0.9/1.0/1.1/1.2
        ** RAID 1: mirroring
        ** RAID 4: striped array with parity device
        ** RAID 5: striped array with distributed parity information
        ** RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2000/XP/2003/Vista/2008/7 )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System
    * Wii WBFS 
    * Sun ZFS

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

%prep
%setup -q -a 1 -D -n %{name}-%{version}
%patch0
%patch1

%build
pushd progsreiserfs-%{ver_progsreiserfs}
	%configure2_5x --disable-Werror
	%make
popd

%configure2_5x
%make

%install
%makeinstall_std 

#handle docs in files section
rm -rf %{buildroot}/%{_docdir}

%files
%doc AUTHORS ChangeLog INFO NEWS README THANKS
%{_bindir}/fidentify
%{_bindir}/testdisk
%{_mandir}/man8/testdisk.8*
%{_mandir}/man8/fidentify.8*
%{_mandir}/*/man8/testdisk.8.*
%{_mandir}/*/man8/fidentify.8*

%files -n photorec
%doc AUTHORS ChangeLog INFO NEWS README THANKS
%{_bindir}/photorec
#%{_datadir}/applications/qphotorec.desktop
%{_iconsdir}/hicolor/*/apps/qphotorec.*
#%{_bindir}/qphotorec
%{_mandir}/man8/*photorec.8*
%{_mandir}/*/man8/*photorec.8*


%changelog
* Mon Mar 21 2016 tv <tv> 7.0-4.mga6
+ Revision: 993712
- rebuild for new ntfs-3g

* Wed Feb 17 2016 umeabot <umeabot> 7.0-3.mga6
+ Revision: 963055
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 7.0-2.mga6
+ Revision: 864908
- Rebuild for ntfs-3g 2015.3.14

* Mon May 11 2015 neoclust <neoclust> 7.0-1.mga5
+ Revision: 821834
- New version 7.0 fixes sec issues

* Wed Oct 15 2014 umeabot <umeabot> 6.14-5.mga5
+ Revision: 739620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.14-4.mga5
+ Revision: 689837
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 dams <dams> 6.14-3.mga5
+ Revision: 601278
- rebuild for new libntfs-3g

* Sat Oct 19 2013 umeabot <umeabot> 6.14-2.mga4
+ Revision: 532006
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 sander85 <sander85> 6.14-1.mga4
+ Revision: 466509
- New version: 6.14

* Mon May 27 2013 dams <dams> 6.13-7.mga4
+ Revision: 428469
- rebuild for new libntfs-3g

* Wed Mar 20 2013 wally <wally> 6.13-6.mga3
+ Revision: 404154
- clean .spec
- clean installed docs

* Wed Mar 20 2013 wally <wally> 6.13-5.mga3
+ Revision: 404150
- build against ncursesw

* Mon Jan 14 2013 umeabot <umeabot> 6.13-4.mga3
+ Revision: 384414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 sander85 <sander85> 6.13-3.mga2
+ Revision: 218096
- rebuild for new libewf

* Mon Jan 23 2012 fwang <fwang> 6.13-2.mga2
+ Revision: 200252
- rebuild for new ntfs-3g

* Sat Jan 07 2012 sander85 <sander85> 6.13-1.mga2
+ Revision: 192989
- remove patch #2, merged upstream
- new version: 6.13
- clean spec

* Fri Jun 17 2011 sander85 <sander85> 6.12-1.mga2
+ Revision: 108677
- new version 6.12
- clean and fix spec
- add more BRs

* Thu Feb 24 2011 ennael <ennael> 6.11-4.mga1
+ Revision: 58800
- imported package testdisk

